- Qt 5.15
- Qt 3D
- QML Types
- StencilTest QML Type
- Qt 5.15.8 Reference Documentation

# StencilTest QML Type

The StencilTest type specifies arguments for the stecil test. More...

Import Statement: | import Qt3D.Render 2.15
Since: | Qt 5.7
Inherits: | RenderState

- List of all members, including inherited members

## Properties

- back : StencilTestArguments
- front : StencilTestArguments

## Detailed Description

A StencilTest type specifies argument for the stencil test. The stencil test comprises of three arguments: stencil test function, stencil test mask and stencil reference value. StencilTest allows these arguments to be set for both front- and back-facing polygons separately.

See also StencilMask and StencilOperation.

## Property Documentation

back : StencilTestArguments

Holds the stencil test arguments for back-facing polygons.

front : StencilTestArguments

Holds the stencil test arguments for front-facing polygons.